### Method

# Gio FileInfo set_creation_date_time

since: 2.70

#### Declaration [src]

    void
    g_file_info_set_creation_date_time (
      GFileInfo* info,
      GDateTime* creation_time
    )

#### Description [src]

Sets the `G_FILE_ATTRIBUTE_TIME_CREATED` and `G_FILE_ATTRIBUTE_TIME_CREATED_USEC` attributes in the file info to the given date/time value.

`G_FILE_ATTRIBUTE_TIME_CREATED_NSEC` will be cleared.

Available since: 2.70

#### Parameters

`creation_time`

  Type: `GDateTime`

  A `GDateTime`.

  The data is owned by the caller of the method.